CVC4::expr::ExprSetLanguage::Scope Class Reference

Set a language on the output stream for the current stack scope. More...

`#include <expr.h>`

## Public Member Functions

| Scope (std::ostream &out, OutputLanguage language)
| ~Scope ()

## Detailed Description

Set a language on the output stream for the current stack scope.

This makes sure the old language is reset on the stream after normal OR exceptional exit from the scope, using the RAII C++ idiom.

Definition at line 974 of file expr.h.

## Constructor & Destructor Documentation

## Scope()

CVC4::expr::ExprSetLanguage::Scope::Scope | ( | std::ostream & | out,
|  | OutputLanguage | language )

inline

Definition at line 980 of file expr.h.

## ~Scope()

CVC4::expr::ExprSetLanguage::Scope::~Scope | ( |  | ) |

inline

Definition at line 986 of file expr.h.

The documentation for this class was generated from the following file:

- builds/powerpc-apple-darwin10.0.0d2/production/src/expr/expr.h